[arch-commits] Commit in tuxpuck/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat May 2 23:09:15 EDT 2009


    Date: Saturday, May 2, 2009 @ 23:09:15
  Author: eric
Revision: 37572

Merged revisions 356,7849,37571 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/tuxpuck/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7849 | ronald | 2008-08-04 15:57:10 -0400 (Mon, 04 Aug 2008) | 1 line
  
  fix license & arch field
........
  r37571 | eric | 2009-05-02 23:08:57 -0400 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: tuxpuck 0.8.2-2
      Added freetype2 makedepends, Disabled SMP build, FHS man pages
........

Modified:
  tuxpuck/repos/extra-x86_64/	(properties)
  tuxpuck/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)


Property changes on: tuxpuck/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /tuxpuck/trunk:1
   + /tuxpuck/trunk:1-37571

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-03 03:08:57 UTC (rev 37571)
+++ extra-x86_64/PKGBUILD	2009-05-03 03:09:15 UTC (rev 37572)
@@ -3,15 +3,20 @@
 
 pkgname=tuxpuck
 pkgver=0.8.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Airhockey with tux"
+arch=('i686' 'x86_64')
 url="http://home.no.net/munsuun/tuxpuck/"
+license=('GPL2')
 depends=('libjpeg' 'sdl' 'libpng' 'libvorbis')
+makedepends=('freetype2')
+options=('!makeflags')
 source=(http://home.no.net/munsuun/tuxpuck/files/$pkgname-$pkgver.tar.gz)
 md5sums=('fc839abc2b1f3eafae397e1ed6487079')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-   make || return 1
-   make DESTDIR=$startdir/pkg/ install
- }
+  cd $srcdir/$pkgname-$pkgver
+  sed -i 's|usr/man|usr/share/man|' Makefile || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+}



More information about the arch-commits mailing list